> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bank payout status

> Retrieves the status of bank transactions associated with the provided identifier.



## OpenAPI

````yaml /openapi-v1.en.yaml get /v1/transactions/payouts/bank/status/{transactionId}
openapi: 3.0.0
info:
  title: YP API Partner
  description: Integration documentation for YP API partners.
  version: v1
  contact: {}
servers:
  - url: https://sandbox-rampa.mesadepagos.com/api
    description: Sandbox
security: []
tags:
  - name: Auth
    description: ''
  - name: Quotes
    description: ''
  - name: Payin
    description: ''
  - name: Payout
    description: ''
  - name: Wallet
    description: ''
  - name: Queries
    description: ''
  - name: Webhooks
    description: ''
  - name: Fees
    description: ''
  - name: Clients
    description: ''
paths:
  /v1/transactions/payouts/bank/status/{transactionId}:
    get:
      tags:
        - Payout
      summary: Bank payout status
      description: >-
        Retrieves the status of bank transactions associated with the provided
        identifier.
      operationId: getPayoutBankStatusV1
      parameters:
        - name: transactionId
          required: true
          in: path
          description: Identifier or external reference of the bank payout to retrieve.
          schema:
            example: 550e8400-e29b-41d4-a716-446655440000
            type: string
      responses:
        '200':
          description: Bank payout status retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPayoutBankStatusResponseDoc'
        '400':
          description: The provided transactionId is invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponseDoc'
        '401':
          description: Missing, invalid, or expired token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponseDoc'
        '404':
          description: No transactions were found for the provided transactionId.
      security:
        - bearer: []
components:
  schemas:
    GetPayoutBankStatusResponseDoc:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PayoutBankStatusDataDoc'
      required:
        - data
    ValidationErrorResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed
        error:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
        - error
    UnauthorizedResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
    PayoutBankStatusDataDoc:
      type: object
      properties:
        transactions:
          description: Transactions associated with the requested identifier.
          type: array
          items:
            $ref: '#/components/schemas/PayoutBankStatusTransactionDoc'
      required:
        - transactions
    PayoutBankStatusTransactionDoc:
      type: object
      properties:
        transaction_id:
          type: string
          example: '12345678901234'
          description: Bank transaction identifier.
        status:
          type: string
          example: PENDING
          description: Current bank transaction status.
        message:
          type: string
          example: Transaction status retrieved successfully
          description: Result description.
        account:
          type: string
          example: '1234567890'
          description: Destination bank account.
        ach_number:
          type: string
          example: ACH-123456
          description: ACH batch number or identifier.
        client_id:
          type: string
          example: '1234567'
          description: Beneficiary identity document.
        client_name:
          type: string
          example: Juan Perez
          description: Beneficiary name.
        amount:
          type: number
          example: 100.5
          description: Transaction fiat amount.
        currency:
          type: string
          example: BOB
          description: Transaction fiat currency.
      required:
        - transaction_id
        - status
        - message
        - account
        - ach_number
        - client_id
        - client_name
        - amount
        - currency
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT obtained from /v2/auth/login

````